Package com.creditcall.chipdnamobile

# Class TransactionUpdate

java.lang.Object
com.creditcall.chipdnamobile.TransactionUpdate

public final class TransactionUpdate extends Object
The possible updates (8001+) that can occur during a standalone (sale or refund) transaction process.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TransactionUpdate`
  `AmountConfirmationAborted`
  Indicates amount confirmation on the PIN pad has been aborted.
  `static final TransactionUpdate`
  `AmountConfirmationBypassed`
  Indicates amount confirmation on the PIN pad has been bypassed.
  `static final TransactionUpdate`
  `AmountConfirmationCompleted`
  Indicates amount confirmation on the PIN pad has been completed.
  `static final TransactionUpdate`
  `AmountConfirmationStarted`
  Indicates amount confirmation on the PIN pad has been started.
  `static final TransactionUpdate`
  `AmountConfirmationTimedOut`
  Indicates amount confirmation on the PIN pad has timed out.
  `static final TransactionUpdate`
  `ApplicationSelectionCompleted`
  Indicates application selection on the PIN pad has been completed.
  `static final TransactionUpdate`
  `ApplicationSelectionStarted`
  Indicates application selection on the PIN pad has been started.
  `static final TransactionUpdate`
  `CardEntryAborted`
  Indicates card entry on the PIN pad has been aborted.
  `static final TransactionUpdate`
  `CardEntryBypassed`
  Indicates card entry on the PIN pad has been bypassed.
  `static final TransactionUpdate`
  `CardEntryPrompted`
  Indicates card entry has been prompted on the PIN pad.
  `static final TransactionUpdate`
  `CardEntryTimedOut`
  Indicates card entry on the PIN pad has timed out.
  `static final TransactionUpdate`
  `CardSwiped`
  Indicates card has been swiped on the PIN pad.
  `static final TransactionUpdate`
  `CardSwipeError`
  Indicates an error occurred when swiping a card on the PIN pad.
  `static final TransactionUpdate`
  `CardTapped`
  Indicates card has been tapped on the PIN pad.
  `static final TransactionUpdate`
  `DeferredAuthorizationCompleted`
  Indicates deferred authorization completed.
  `static final TransactionUpdate`
  `DeferredAuthorizationStarted`
  Indicates deferred authorization started.
  `static final TransactionUpdate`
  `ForcedAcceptanceCompleted`
  Indicates forced acceptance completed.
  `static final TransactionUpdate`
  `ForcedAcceptanceStarted`
  Indicates forced acceptance started.
  `static final TransactionUpdate`
  `GetCardDetailsCompleted`
  Indicates get card details has been completed.
  `static final TransactionUpdate`
  `GetCardDetailsStarted`
  Indicates get card details has been started.
  `static final TransactionUpdate`
  `GratuityCompleted`
  Indicates gratuity completed.
  `static final TransactionUpdate`
  `GratuityStarted`
  Indicates gratuity started.
  `static final TransactionUpdate`
  `IdVerificationCompleted`
  Indicates ID verification completed.
  `static final TransactionUpdate`
  `IdVerificationStarted`
  Indicates ID verification started.
  `static final TransactionUpdate`
  `LastPinEntry`
  Indicates PIN entry on the PIN pad was the last one.
  `static final TransactionUpdate`
  `OnlineAuthorisation`
  Indicates the transaction is going online for authorisation.
  `static final TransactionUpdate`
  `PANKeyEntryCompleted`
  Indicates PAN Key Entry has been completed on the PIN pad.
  `static final TransactionUpdate`
  `PANKeyEntryStarted`
  Indicates PAN Key Emtry has been prompted on the PIN pad.
  `static final TransactionUpdate`
  `PartialApprovalConfirmationCompleted`
  Indicates partial approval confirmation completed.
  `static final TransactionUpdate`
  `PartialApprovalConfirmationStarted`
  Indicates partial approval confirmation started.
  `static final TransactionUpdate`
  `PinEntryAborted`
  Indicates PIN entry on the PIN pad has been aborted.
  `static final TransactionUpdate`
  `PinEntryBypassed`
  Indicates PIN entry on the PIN pad has been bypassed.
  `static final TransactionUpdate`
  `PinEntryCompleted`
  Indicates PIN entry on the PIN pad has been completed.
  `static final TransactionUpdate`
  `PinEntryIncorrect`
  Indicates PIN entry on the PIN pad was incorrect.
  `static final TransactionUpdate`
  `PinEntryStarted`
  Indicates PIN entry on the PIN pad has been started.
  `static final TransactionUpdate`
  `PinEntryTimedOut`
  Indicates PIN entry on the PIN pad has been timed out.
  `static final TransactionUpdate`
  `SignatureCaptureComplete`
  Indicates signature capture completed.
  `static final TransactionUpdate`
  `SignatureCaptureStarted`
  Indicates signature capture started.
  `static final TransactionUpdate`
  `SignatureVerificationCompleted`
  Indicates signature verification completed.
  `static final TransactionUpdate`
  `SignatureVerificationStarted`
  Indicates signature verification started.
  `static final TransactionUpdate`
  `SmartcardInserted`
  Indicates a card has been inserted in to the PIN pad.
  `static final TransactionUpdate`
  `SmartcardRemoved`
  Indicates the card has been removed from the PIN pad.
  `static final TransactionUpdate`
  `SmartcardRemovePrompted`
  Indicates card removal has been prompted on the PIN pad.
  `static final TransactionUpdate`
  `StartingTransaction`
  Indicates the transaction has started.
  `static final TransactionUpdate`
  `VoiceReferralCompleted`
  Indicates voice referral completed.
  `static final TransactionUpdate`
  `VoiceReferralStarted`
  Indicates voice referral started.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Gets the Transaction update string value.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### StartingTransaction

    public static final TransactionUpdate StartingTransaction
    Indicates the transaction has started.

  - ### OnlineAuthorisation

    public static final TransactionUpdate OnlineAuthorisation
    Indicates the transaction is going online for authorisation.

  - ### CardEntryPrompted

    public static final TransactionUpdate CardEntryPrompted
    Indicates card entry has been prompted on the PIN pad.

  - ### PANKeyEntryStarted

    public static final TransactionUpdate PANKeyEntryStarted
    Indicates PAN Key Emtry has been prompted on the PIN pad.

  - ### PANKeyEntryCompleted

    public static final TransactionUpdate PANKeyEntryCompleted
    Indicates PAN Key Entry has been completed on the PIN pad.

  - ### SmartcardInserted

    public static final TransactionUpdate SmartcardInserted
    Indicates a card has been inserted in to the PIN pad.

  - ### SmartcardRemovePrompted

    public static final TransactionUpdate SmartcardRemovePrompted
    Indicates card removal has been prompted on the PIN pad.

  - ### SmartcardRemoved

    public static final TransactionUpdate SmartcardRemoved
    Indicates the card has been removed from the PIN pad.

  - ### CardEntryBypassed

    public static final TransactionUpdate CardEntryBypassed
    Indicates card entry on the PIN pad has been bypassed.

  - ### CardEntryTimedOut

    public static final TransactionUpdate CardEntryTimedOut
    Indicates card entry on the PIN pad has timed out.

  - ### CardEntryAborted

    public static final TransactionUpdate CardEntryAborted
    Indicates card entry on the PIN pad has been aborted.

  - ### CardSwiped

    public static final TransactionUpdate CardSwiped
    Indicates card has been swiped on the PIN pad.

  - ### CardSwipeError

    public static final TransactionUpdate CardSwipeError
    Indicates an error occurred when swiping a card on the PIN pad.

  - ### CardTapped

    public static final TransactionUpdate CardTapped
    Indicates card has been tapped on the PIN pad.

  - ### ApplicationSelectionStarted

    public static final TransactionUpdate ApplicationSelectionStarted
    Indicates application selection on the PIN pad has been started.

  - ### ApplicationSelectionCompleted

    public static final TransactionUpdate ApplicationSelectionCompleted
    Indicates application selection on the PIN pad has been completed.

  - ### PinEntryStarted

    public static final TransactionUpdate PinEntryStarted
    Indicates PIN entry on the PIN pad has been started.

  - ### PinEntryCompleted

    public static final TransactionUpdate PinEntryCompleted
    Indicates PIN entry on the PIN pad has been completed.

  - ### PinEntryAborted

    public static final TransactionUpdate PinEntryAborted
    Indicates PIN entry on the PIN pad has been aborted.

  - ### PinEntryBypassed

    public static final TransactionUpdate PinEntryBypassed
    Indicates PIN entry on the PIN pad has been bypassed.

  - ### PinEntryTimedOut

    public static final TransactionUpdate PinEntryTimedOut
    Indicates PIN entry on the PIN pad has been timed out.

  - ### PinEntryIncorrect

    public static final TransactionUpdate PinEntryIncorrect
    Indicates PIN entry on the PIN pad was incorrect.

  - ### LastPinEntry

    public static final TransactionUpdate LastPinEntry
    Indicates PIN entry on the PIN pad was the last one.

  - ### AmountConfirmationStarted

    public static final TransactionUpdate AmountConfirmationStarted
    Indicates amount confirmation on the PIN pad has been started.

  - ### AmountConfirmationCompleted

    public static final TransactionUpdate AmountConfirmationCompleted
    Indicates amount confirmation on the PIN pad has been completed.

  - ### AmountConfirmationAborted

    public static final TransactionUpdate AmountConfirmationAborted
    Indicates amount confirmation on the PIN pad has been aborted.

  - ### AmountConfirmationBypassed

    public static final TransactionUpdate AmountConfirmationBypassed
    Indicates amount confirmation on the PIN pad has been bypassed.

  - ### AmountConfirmationTimedOut

    public static final TransactionUpdate AmountConfirmationTimedOut
    Indicates amount confirmation on the PIN pad has timed out.

  - ### SignatureVerificationStarted

    public static final TransactionUpdate SignatureVerificationStarted
    Indicates signature verification started.

  - ### SignatureVerificationCompleted

    public static final TransactionUpdate SignatureVerificationCompleted
    Indicates signature verification completed.

  - ### VoiceReferralStarted

    public static final TransactionUpdate VoiceReferralStarted
    Indicates voice referral started.

  - ### VoiceReferralCompleted

    public static final TransactionUpdate VoiceReferralCompleted
    Indicates voice referral completed.

  - ### GratuityStarted

    public static final TransactionUpdate GratuityStarted
    Indicates gratuity started.

  - ### GratuityCompleted

    public static final TransactionUpdate GratuityCompleted
    Indicates gratuity completed.

  - ### IdVerificationStarted

    public static final TransactionUpdate IdVerificationStarted
    Indicates ID verification started.

  - ### IdVerificationCompleted

    public static final TransactionUpdate IdVerificationCompleted
    Indicates ID verification completed.

  - ### ForcedAcceptanceStarted

    public static final TransactionUpdate ForcedAcceptanceStarted
    Indicates forced acceptance started.

  - ### ForcedAcceptanceCompleted

    public static final TransactionUpdate ForcedAcceptanceCompleted
    Indicates forced acceptance completed.

  - ### PartialApprovalConfirmationStarted

    public static final TransactionUpdate PartialApprovalConfirmationStarted
    Indicates partial approval confirmation started.

  - ### PartialApprovalConfirmationCompleted

    public static final TransactionUpdate PartialApprovalConfirmationCompleted
    Indicates partial approval confirmation completed.

  - ### GetCardDetailsStarted

    public static final TransactionUpdate GetCardDetailsStarted
    Indicates get card details has been started.

  - ### GetCardDetailsCompleted

    public static final TransactionUpdate GetCardDetailsCompleted
    Indicates get card details has been completed.

  - ### DeferredAuthorizationStarted

    public static final TransactionUpdate DeferredAuthorizationStarted
    Indicates deferred authorization started.

  - ### DeferredAuthorizationCompleted

    public static final TransactionUpdate DeferredAuthorizationCompleted
    Indicates deferred authorization completed.

  - ### SignatureCaptureStarted

    public static final TransactionUpdate SignatureCaptureStarted
    Indicates signature capture started.

  - ### SignatureCaptureComplete

    public static final TransactionUpdate SignatureCaptureComplete
    Indicates signature capture completed.

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the Transaction update string value.
    Returns:
      The transaction update value.